# Record TCefPrintHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPrintHandler = record`

## Description

Implement this structure to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefPrintHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_print_start: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;`
| `on_print_settings: procedure(self: PCefPrintHandler; browser: PCefBrowser; settings: PCefPrintSettings; get_defaults: Integer); stdcall;`
| `on_print_dialog: function(self: PCefPrintHandler; browser: PCefBrowser; has_selection: Integer; callback: PCefPrintDialogCallback): Integer; stdcall;`
| `on_print_job: function(self: PCefPrintHandler; browser: PCefBrowser; const document_name, pdf_file_path: PCefString; callback: PCefPrintJobCallback): Integer; stdcall;`
| `on_print_reset: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;`
| `get_pdf_paper_size: function(self: PCefPrintHandler; browser: PCefBrowser; device_units_per_inch: Integer): TCefSize; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_print_start: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;`
This item has no description.

| `on_print_settings: procedure(self: PCefPrintHandler; browser: PCefBrowser; settings: PCefPrintSettings; get_defaults: Integer); stdcall;`
This item has no description.

| `on_print_dialog: function(self: PCefPrintHandler; browser: PCefBrowser; has_selection: Integer; callback: PCefPrintDialogCallback): Integer; stdcall;`
This item has no description.

| `on_print_job: function(self: PCefPrintHandler; browser: PCefBrowser; const document_name, pdf_file_path: PCefString; callback: PCefPrintJobCallback): Integer; stdcall;`
This item has no description.

| `on_print_reset: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;`
This item has no description.

| `get_pdf_paper_size: function(self: PCefPrintHandler; browser: PCefBrowser; device_units_per_inch: Integer): TCefSize; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.